Retrieve an invoice item
curl --request GET \
--url https://api.spacebring.com/billing/invoices/v1/items/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/billing/invoices/v1/items/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/billing/invoices/v1/items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoiceItem": {
"amount": 123,
"baseAmounts": {
"currencyCode": "<string>",
"discountedAmount": 123,
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"unitAmount": 123,
"unitExcludingTaxAmount": 123,
"tax": {
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
}
},
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"description": "<string>",
"discountedAmount": 123,
"discounts": [
{
"coupon": {
"amountOff": 123,
"currencyCode": "<string>",
"duration": "<string>",
"durationInMonths": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentOff": 123,
"productTypes": [
"<string>"
],
"type": "<string>"
},
"promocode": {
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiration": "2023-11-07T05:31:56Z",
"limitByFirstPurchase": true
},
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"netAmount": 123,
"netUnitAmount": 123,
"product": {
"title": "<string>",
"bookingRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventTicketRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"quantity": 0,
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"type": "<string>",
"unitAmount": 123,
"unitExcludingTaxAmount": 123,
"booking": {},
"companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creditPackage": {},
"deleteDate": "2023-11-07T05:31:56Z",
"invoiceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefCreatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderItem": {},
"period": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"plan": {},
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax": {
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
},
"taxAmount": 123,
"taxableAmount": 123,
"ticket": {},
"userCreatedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"surname": "<string>"
}
}
}{
"message": "<string>",
"type": "<string>"
}Billing
Retrieve an invoice item
Retrieve a specific invoice item.
OAuth
Required scopes:invoices.readonly or invoicesGET
/
billing
/
invoices
/
v1
/
items
/
{id}
Retrieve an invoice item
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of an invoice item.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I